/*******************************************************************************
*            Programme de commande Sepcsmaster                                 *
*            d'aprs ManufacturingTest (PLX Technology)                        *
*                                                                              *
*       Cration : 7 juillet 2003                                              *
*                  C.Pailler               LAL Orsay                           *
 ******************************************************************************/

// MemConfigDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ManfGUI.h"
#include "PlxBsp.h"
#include "MemConfigDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern   BSP  DeviceBsp;

char   *strPtr;
char   Mem0Buf[10];
char   Mem1Buf[10];
char   Mem0SizeBuf[10];
char   Mem1SizeBuf[10];
char   FlashBuf[10];
char   FlashOffsetBuf[10];
char   PlxRegsBuf[10];
U32    Mem0Base;
U32    Mem1Base;
U32    Mem0Size;
U32    Mem1Size;
U32    FlashBase;
U32    FlashOffset;
U32    PlxRegsBase;


/////////////////////////////////////////////////////////////////////////////
// CMemConfigDlg dialog


CMemConfigDlg::CMemConfigDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMemConfigDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMemConfigDlg)
	m_FlashBase = _T("FFFFFFFF");
	m_Memory0 = _T("0");
	m_Memory1 = _T("100");
	m_PlxRegBase = _T("FFFFFFFF");
	m_FlashOffset = _T("");
	m_Mem0Size = _T("");
	m_Mem1Size = _T("");
	//}}AFX_DATA_INIT
}


void CMemConfigDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMemConfigDlg)
	DDX_Text(pDX, IDC_FLASH_BASE_EDIT, m_FlashBase);
	DDV_MaxChars(pDX, m_FlashBase, 8);
	DDX_Text(pDX, IDC_MEMORY_0_EDIT, m_Memory0);
	DDV_MaxChars(pDX, m_Memory0, 8);
	DDX_Text(pDX, IDC_MEMORY_1_EDIT, m_Memory1);
	DDV_MaxChars(pDX, m_Memory1, 8);
	DDX_Text(pDX, IDC_PLX_REGISTER_BASE_EDIT, m_PlxRegBase);
	DDV_MaxChars(pDX, m_PlxRegBase, 8);
	DDX_Text(pDX, IDC_FLASH_OFFSET_EDIT, m_FlashOffset);
	DDV_MaxChars(pDX, m_FlashOffset, 8);
	DDX_Text(pDX, IDC_MEMORY_0_SIZE_EDIT, m_Mem0Size);
	DDV_MaxChars(pDX, m_Mem0Size, 8);
	DDX_Text(pDX, IDC_MEMORY_1_SIZE_EDIT, m_Mem1Size);
	DDV_MaxChars(pDX, m_Mem1Size, 8);
//	DDX_Text(pDX, IDC_RICHEDIT1, m_strRichEdit1);
//	DDV_MaxChars(pDX, m_strRichEdit1, 9);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMemConfigDlg, CDialog)
	//{{AFX_MSG_MAP(CMemConfigDlg)
	ON_EN_CHANGE(IDC_MEMORY_0_EDIT, OnChangeMemory0Edit)
	ON_EN_CHANGE(IDC_MEMORY_1_EDIT, OnChangeMemory1Edit)
	ON_EN_CHANGE(IDC_FLASH_BASE_EDIT, OnChangeFlashBaseEdit)
	ON_EN_CHANGE(IDC_PLX_REGISTER_BASE_EDIT, OnChangePlxRegisterBaseEdit)
	ON_EN_CHANGE(IDC_MEMORY_0_SIZE_EDIT, OnChangeMemory0SizeEdit)
	ON_EN_CHANGE(IDC_MEMORY_1_SIZE_EDIT, OnChangeMemory1SizeEdit)
//	ON_EN_CHANGE(IDC_RICHEDIT1, OnChangeRichedit1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMemConfigDlg message handlers


BOOL CMemConfigDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

// Initialize Memory map variables
	char  Buffer[60];

	CButton *pSelectedDeviceButton = (CButton*)GetDlgItem(IDC_SELECTED_DEVICE_BUTTON);

	sprintf (Buffer, 
	        "DeviceID %.4x  VendeurID %.4x  Slot %.2x  Bus %.2x",
			 DeviceBsp.device.DeviceId,
			 DeviceBsp.device.VendorId,
			 DeviceBsp.device.SlotNumber,
			 DeviceBsp.device.BusNumber);

	pSelectedDeviceButton->SetWindowText(Buffer);

	if(DeviceBsp.device.DeviceId == 0xc860 ||
		DeviceBsp.device.DeviceId == 0x1860 ||
		DeviceBsp.device.DeviceId == 0x401 ||
		DeviceBsp.device.DeviceId == 0x960 ||
		DeviceBsp.device.DeviceId == 0x3001 ||
		DeviceBsp.device.DeviceId == 0x30c1 ||
		DeviceBsp.device.DeviceId == 0x9030)
	{
		m_Memory0     = _strupr((_itoa(DeviceBsp.DramBase, Mem0Buf, 16)));
		m_Mem0Size    = _strupr((_itoa(DeviceBsp.DramSize, Mem0SizeBuf, 16)));
		m_Memory1     = _strupr((_itoa(DeviceBsp.SramBase, Mem1Buf, 16)));
		m_Mem1Size    = _strupr((_itoa(DeviceBsp.SramSize, Mem1SizeBuf, 16)));
		m_FlashBase   = _strupr ((_itoa(DeviceBsp.FlashBase, FlashBuf, 16)));
		m_FlashOffset = _strupr ((_itoa(DeviceBsp.FlashOffset, FlashOffsetBuf, 16)));
		m_PlxRegBase  = _strupr ((_itoa(DeviceBsp.PlxChipBase, PlxRegsBuf, 16)));
	}

	UpdateData(FALSE);

	return TRUE;

}

void CMemConfigDlg::OnChangeMemory0Edit() 
{
	UpdateData(TRUE);

	Mem0Base = strtoul(m_Memory0, &strPtr, 16);

	DeviceBsp.DramBase = Mem0Base;
}

void CMemConfigDlg::OnChangeMemory0SizeEdit() 
{
	UpdateData(TRUE);

	Mem0Size = strtoul(m_Mem0Size, &strPtr, 16);

	DeviceBsp.DramSize = Mem0Size;
	
}

void CMemConfigDlg::OnChangeMemory1Edit() 
{
	UpdateData(TRUE);

	Mem1Base = strtoul(m_Memory1, &strPtr, 16);

	DeviceBsp.SramBase = Mem1Base;
}

void CMemConfigDlg::OnChangeMemory1SizeEdit() 
{
	UpdateData(TRUE);

	Mem1Size = strtoul(m_Mem1Size, &strPtr, 16);

	DeviceBsp.SramSize = Mem1Size;
	
}

void CMemConfigDlg::OnChangeFlashBaseEdit() 
{
	UpdateData(TRUE);

	FlashBase = strtoul(m_FlashBase, &strPtr, 16);

	DeviceBsp.FlashBase = FlashBase;
	
}

void CMemConfigDlg::OnChangePlxRegisterBaseEdit() 
{
	UpdateData(TRUE);

	PlxRegsBase = strtoul(m_PlxRegBase, &strPtr, 16);

	DeviceBsp.PlxChipBase = PlxRegsBase;

}
