/*******************************************************************************
*            Programme de commande Sepcsmaster                                 *
*            d'aprs ManufacturingTest (PLX Technology)                        *
*                                                                              *
*       Cration : 7 juillet 2003                                              *
*                  C.Pailler               LAL Orsay                           *
 ******************************************************************************/

/**********************************************************************
 *                                                                    *
 * Module Name:                                                       *
 *                                                                    *
 *     PlxBsp.c                                                       *
 *                                                                    *
 * Abstract:                                                          *
 *                                                                    *
 *                                                                    *
 * Revision History:                                                  *
 *                                                                    *
 *     04-19-00 : Support 9030                                        *  
 *     07-09-98 : Support SDK 2.0                                     *
 *     06-20-98 : Created                                             *
 *                                                                    *
 *********************************************************************/
#include "StdAfx.h"
#include "PlxBsp.h"

extern   U32  Mem0Base;
extern   U32  Mem1Base;
extern   U32  Mem0Size;
extern   U32  Mem1Size;
extern   U32  PlxRegsBase;
extern   U32  FlashBase;
extern   U32  FlashOffset; 
 

BOOLEAN InitializeBsp(BSP *board)
{
    switch (board->device.DeviceId)
    {
/*        case PLX_9080RDK_401B_DEVICE_ID:
            board->PlxChipBase   = 0x20000000;
            board->DramBase      = 0x00000000;
            board->DramSize      = 0x01000000;
			board->MemType		 = MEM_TYPE_32_BIT;
            board->SramBase      = 0x10000000;
            board->SramSize      = 0x00080000;
            board->FlashBase     = 0xFFF80000;
            board->FlashOffset   = 0x00060000;
            board->FlashUseSize  = 0x00020000;
            board->FlashSize     = 0x00080000;
            board->FlashType     = FLASH_TYPE_8_BIT;
            board->UartBase      = 0x7E000000;
            board->InterruptBase = 0x7E000400;
            board->SwResetBase   = 0x80000000;
            board->PomBase       = 0xC0000000;
            return TRUE;

        case PLX_9080RDK_960_DEVICE_ID:
            board->PlxChipBase   = 0x30000000;
            board->DramBase      = 0x10001000;
            board->DramSize      = 0x01000000;
			board->MemType		 = MEM_TYPE_32_BIT;
            board->SramBase      = 0x20000000;
            board->SramSize      = 0x00080000;
            board->FlashBase     = 0xE0000000;
            board->FlashOffset   = 0x00060000;
            board->FlashUseSize  = 0x00020000;
            board->FlashSize     = 0x00080000;
            board->FlashType     = FLASH_TYPE_8_BIT;
            board->UartBase      = 0xD0000000;
            board->InterruptBase = 0xFFFFFFFF;
            board->SwResetBase   = 0xFFFFFFFF;
            board->PomBase       = 0xFFFFFFFF;
            return TRUE;

        case PLX_9080RDK_860_DEVICE_ID:
            board->PlxChipBase   = 0xC0000000;
            board->DramBase      = 0x10000000;
            board->DramSize      = 0x01000000;
			board->MemType		 = MEM_TYPE_32_BIT;
            board->SramBase      = 0x00000000;
            board->SramSize      = 0x00080000;
            board->FlashBase     = 0xFFF00000;
            board->FlashOffset   = 0x00000000;
            board->FlashUseSize  = 0x00020000;
            board->FlashSize     = 0x00080000;
            board->FlashType     = FLASH_TYPE_8_BIT;
            board->UartBase      = 0xFFFFFFFF;
            board->InterruptBase = 0xFFFFFFFF;
            board->SwResetBase   = 0xFFFFFFFF;
            board->PomBase       = 0xFFFFFFFF;
            return TRUE;*/

        /**************************************/

		// PLX_9054RDK_860 PCI board:
/*		case PLX_9054RDK_860_DEVICE_ID:
            board->PlxChipBase   = 0x30000000;
            board->DramBase      = 0x00000000;
            board->DramSize      = 0x02000000;
			board->MemType		 = MEM_TYPE_32_BIT;
            board->SramBase      = 0x00000000;          //Sram only for cpci board.
            board->SramSize      = 0x00000000;
            board->FlashBase     = 0xFFF00000;
            board->FlashOffset   = 0x00000000;
            board->FlashUseSize  = 0x00020000;
            board->FlashSize     = 0x00080000;
            board->FlashType     = FLASH_TYPE_8_BIT;
            board->UartBase      = 0xFFFFFFFF;
            board->InterruptBase = 0xFFFFFFFF;
            board->SwResetBase   = 0xFFFFFFFF;
            board->PomBase       = 0xFFFFFFFF;
            return TRUE;


        // PLX_9054RDK_860 cPCI board:
		case PLX_CPCI9054RDK_860_DEVICE_ID:
            board->PlxChipBase   = 0x30000000;
            board->DramBase      = 0x00000000;
            board->DramSize      = 0x02000000;
			board->MemType		 = MEM_TYPE_32_BIT;
            board->SramBase      = 0x20000000;          
            board->SramSize      = 0x00080000;
            board->FlashBase     = 0xFFF00000;
            board->FlashOffset   = 0x00000000;
            board->FlashUseSize  = 0x00020000;
            board->FlashSize     = 0x00080000;
            board->FlashType     = FLASH_TYPE_8_BIT;
            board->UartBase      = 0xFFFFFFFF;
            board->InterruptBase = 0xFFFFFFFF;
            board->SwResetBase   = 0xFFFFFFFF;
            board->PomBase       = 0xFFFFFFFF;
            return TRUE;*/

        /****************************************/
/*		case PLX_9054RDK_LITE_DEVICE_ID:
            board->PlxChipBase   = 0x30000000;
            board->DramBase      = 0x00000000;  //No DRAM
            board->DramSize      = 0x02000000;
			board->MemType		 = MEM_TYPE_32_BIT;
            board->SramBase      = 0x20000000;          
            board->SramSize      = 0x00020000;
            board->FlashBase     = 0xFFF00000;  //No FLASH
            board->FlashOffset   = 0x00000000;
            board->FlashUseSize  = 0x00020000;
            board->FlashSize     = 0x00080000;
            board->FlashType     = FLASH_TYPE_8_BIT;
            board->UartBase      = 0xFFFFFFFF;
            board->InterruptBase = 0xFFFFFFFF;
            board->SwResetBase   = 0xFFFFFFFF;
            board->PomBase       = 0xFFFFFFFF;
            return TRUE;
        // PLX_IOP480RDK board:
		case PLX_IOP480RDK_DEVICE_ID:
            board->PlxChipBase   = 0x30000000;
            board->DramBase      = 0x00000000;
            board->DramSize      = 0x02000000;
			board->MemType		 = MEM_TYPE_32_BIT;
            board->SramBase      = 0x00000000;          //Sram only for cpci board.
            board->SramSize      = 0x00000000;
            board->FlashBase     = 0xFFF80000;
            board->FlashOffset   = 0x00060000;
            board->FlashUseSize  = 0x00020000;
            board->FlashSize     = 0x00080000;
            board->FlashType     = FLASH_TYPE_8_BIT;
            board->UartBase      = 0xFFFFFFFF;
            board->InterruptBase = 0xFFFFFFFF;
            board->SwResetBase   = 0xFFFFFFFF;
            board->PomBase       = 0xFFFFFFFF;
            return TRUE;*/
        /****************************************/
		case PLX_9030_DEVICE_ID:
            board->PlxChipBase   = 0x30000000;
            board->DramBase      = 0x00000000; 
            board->DramSize      = 0x00002000;
			board->MemType		 = MEM_TYPE_16_BIT;
            board->SramBase      = 0x00000100;          
            board->SramSize      = 0xFFFFFFFF;
            board->FlashBase     = 0xFFFFFFFF;  //No FLASH
            board->FlashOffset   = 0xFFFFFFFF;
            board->FlashUseSize  = 0xFFFFFFFF;
            board->FlashSize     = 0xFFFFFFFF;
            board->FlashType     = FLASH_TYPE_NONE;
            board->UartBase      = 0xFFFFFFFF;
            board->InterruptBase = 0xFFFFFFFF;
            board->SwResetBase   = 0xFFFFFFFF;
            board->PomBase       = 0xFFFFFFFF;
            return TRUE;
        /****************************************/
/*		case PLX_9030RDK_LITE_DEVICE_ID:
            board->PlxChipBase   = 0x30000000;
            board->DramBase      = 0x00000000; 
            board->DramSize      = 0x00002000;
			board->MemType		 = MEM_TYPE_16_BIT;
            board->SramBase      = 0xFFFFFFFF;          
            board->SramSize      = 0xFFFFFFFF;
            board->FlashBase     = 0xFFFFFFFF;  //No FLASH
            board->FlashOffset   = 0xFFFFFFFF;
            board->FlashUseSize  = 0xFFFFFFFF;
            board->FlashSize     = 0xFFFFFFFF;
            board->FlashType     = FLASH_TYPE_NONE;
            board->UartBase      = 0xFFFFFFFF;
            board->InterruptBase = 0xFFFFFFFF;
            board->SwResetBase   = 0xFFFFFFFF;
            board->PomBase       = 0xFFFFFFFF;
            return TRUE;*/
		/****************************************/
/*		case PLX_CPCI9030RDK_LITE_DEVICE_ID:
            board->PlxChipBase   = 0x30000000;
            board->DramBase      = 0x00000000; 
            board->DramSize      = 0x00002000;
			board->MemType		 = MEM_TYPE_16_BIT;
            board->SramBase      = 0xFFFFFFFF;          
            board->SramSize      = 0xFFFFFFFF;
            board->FlashBase     = 0xFFFFFFFF;  //No FLASH
            board->FlashOffset   = 0xFFFFFFFF;
            board->FlashUseSize  = 0xFFFFFFFF;
            board->FlashSize     = 0xFFFFFFFF;
            board->FlashType     = FLASH_TYPE_NONE;
            board->UartBase      = 0xFFFFFFFF;
            board->InterruptBase = 0xFFFFFFFF;
            board->SwResetBase   = 0xFFFFFFFF;
            board->PomBase       = 0xFFFFFFFF;
            return TRUE;*/
		/****************************************/
		default:
	        board->PlxChipBase   = PlxRegsBase;
            board->DramBase      = Mem0Base;
            board->DramSize      = Mem0Size;
			board->MemType		 = MEM_TYPE_32_BIT;
            board->SramBase      = Mem1Base;
            board->SramSize      = Mem1Size;
            board->FlashBase     = FlashBase;
            board->FlashOffset   = FlashOffset;
            board->FlashUseSize  = 0x00020000;
            board->FlashSize     = 0x00080000;
            board->FlashType     = FLASH_TYPE_NONE;
            board->UartBase      = 0xFFFFFFFF;
            board->InterruptBase = 0xFFFFFFFF;
            board->SwResetBase   = 0xFFFFFFFF;
            board->PomBase       = 0xFFFFFFFF;

    }

    return FALSE;
}
