#ifndef _PLXBSP_H_
#define _PLXBSP_H_
/*******************************************************************************
*            Programme de commande Sepcsmaster                                 *
*            d'aprs ManufacturingTest (PLX Technology)                        *
*                                                                              *
*       Cration : 7 juillet 2003                                              *
*                  C.Pailler               LAL Orsay                           *
 ******************************************************************************/

/**********************************************************************
 *                                                                    *
 * Module Name:                                                       *
 *                                                                    *
 *     PlxBsp.h                                                       *
 *                                                                    *
 * Abstract:                                                          *
 *                                                                    *
 *     Include file for BSP                                           *
 *                                                                    *
 * Revision History:                                                  *
 *                                                                    *
 *     04-19-00 : Support 9030                                        * 
 *     07-09-98 : Support for SDK 2.0                                 *
 *     06-03-98 : Created                                             *
 *                                                                    *
 *********************************************************************/

#ifdef __cplusplus
extern "C" {
#endif



#include <stdio.h>
#include "PciApi.h"
#include "Plx.h"


/******************************
*        Definitions          *
******************************/
#define FLASH_TYPE_8_BIT     8
#define FLASH_TYPE_16_BIT    16
#define FLASH_TYPE_NONE      0

#define MEM_TYPE_32_BIT      4
#define MEM_TYPE_16_BIT      2
#define MEM_TYPE_8_BIT       1

typedef struct _BSP
{
    U32             PlxChipBase;
    U32             DramBase;
    U32             DramSize;
	U8				MemType;
    U32             SramBase;
    U32             SramSize;
    U32             FlashBase;
    U8              FlashType;
    U32             FlashOffset;
    U32             FlashUseSize;
    U32             FlashSize;
    U32             UartBase;
    U32             InterruptBase;
    U32             SwResetBase;
    U32             PomBase;
    DEVICE_LOCATION device;
}BSP;


/******************************
*   Procedure Prototypes      *
******************************
extern*/ BOOLEAN InitializeBsp(BSP*);


#ifdef __cplusplus
}
#endif

#endif